org.keycloak.services.clientregistration.policy

## Interface ClientRegistrationPolicy

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    ClientDisabledClientRegistrationPolicy, ClientScopesClientRegistrationPolicy, ConsentRequiredClientRegistrationPolicy, MaxClientsClientRegistrationPolicy, ProtocolMappersClientRegistrationPolicy, ScopeClientRegistrationPolicy, TrustedHostClientRegistrationPolicy

      public interface ClientRegistrationPolicy
      extends Provider

  Author:
    Marek Posolda

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterRegister(ClientRegistrationContext context, ClientModel clientModel)`
    `void` | `afterUpdate(ClientRegistrationContext context, ClientModel clientModel)`
    `void` | `beforeDelete(ClientRegistrationProvider provider, ClientModel clientModel)`
    `void` | `beforeRegister(ClientRegistrationContext context)`
    `void` | `beforeUpdate(ClientRegistrationContext context, ClientModel clientModel)`
    `void` | `beforeView(ClientRegistrationProvider provider, ClientModel clientModel)`
    `default void` | `close()`

- - ### Method Detail

    - #### beforeRegister

          void beforeRegister(ClientRegistrationContext context)
                       throws ClientRegistrationPolicyException

      Throws:
        `ClientRegistrationPolicyException`

    - #### afterRegister

          void afterRegister(ClientRegistrationContext context,
                             ClientModel clientModel)

    - #### beforeUpdate

          void beforeUpdate(ClientRegistrationContext context,
                            ClientModel clientModel)
                     throws ClientRegistrationPolicyException

      Throws:
        `ClientRegistrationPolicyException`

    - #### afterUpdate

          void afterUpdate(ClientRegistrationContext context,
                           ClientModel clientModel)

    - #### beforeView

          void beforeView(ClientRegistrationProvider provider,
                          ClientModel clientModel)
                   throws ClientRegistrationPolicyException

      Throws:
        `ClientRegistrationPolicyException`

    - #### beforeDelete

          void beforeDelete(ClientRegistrationProvider provider,
                            ClientModel clientModel)
                     throws ClientRegistrationPolicyException

      Throws:
        `ClientRegistrationPolicyException`

    - #### close

          default void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2020 JBoss by Red Hat. All rights reserved.